org.apache.ignite.transactions

## Enum TransactionState

- java.lang.Object
- - java.lang.Enum<TransactionState>
  - - org.apache.ignite.transactions.TransactionState

All Implemented Interfaces:
  Serializable, Comparable<TransactionState>

    public enum TransactionState
    extends Enum<TransactionState>

Cache transaction state.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVE` Transaction started.
`COMMITTED` Transaction commit succeeded.
`COMMITTING` Transaction commit started (validating finished).
`MARKED_ROLLBACK` Transaction is marked for rollback.
`PREPARED` Transaction validation succeeded.
`PREPARING` Transaction validating.
`ROLLED_BACK` Transaction rollback succeeded.
`ROLLING_BACK` Transaction rollback started (validation failed).
`UNKNOWN` Transaction rollback failed or is otherwise unknown state.

### Method Summary

Methods
`static TransactionState` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static TransactionState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransactionState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVE

    public static final TransactionState ACTIVE

Transaction started.

#### PREPARING

    public static final TransactionState PREPARING

Transaction validating.

#### PREPARED

    public static final TransactionState PREPARED

Transaction validation succeeded.

#### MARKED_ROLLBACK

    public static final TransactionState MARKED_ROLLBACK

Transaction is marked for rollback.

#### COMMITTING

    public static final TransactionState COMMITTING

Transaction commit started (validating finished).

#### COMMITTED

    public static final TransactionState COMMITTED

Transaction commit succeeded.

#### ROLLING_BACK

    public static final TransactionState ROLLING_BACK

Transaction rollback started (validation failed).

#### ROLLED_BACK

    public static final TransactionState ROLLED_BACK

Transaction rollback succeeded.

#### UNKNOWN

    public static final TransactionState UNKNOWN

Transaction rollback failed or is otherwise unknown state.

### Method Detail

#### values

    public static TransactionState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionState c : TransactionState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static TransactionState fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015